.slider__toggle {
	display: none;
}

.slides__overflow {
	overflow: hidden;
}

.slides__inner {
	width: 400%;
	transition: transform 1s;
}

.slides__inner:after {
	content: "";
	clear: both;
	display: table;
}

.slides__slide {
	width: 25%;
	float: left;
}

.slider__buttons {
	text-align: center;
}

.slider__button {
	display: inline-block;
	margin: 0 0.125em;
	width: 0.75em;
	height: 0.75em;
	cursor: pointer;
	border-radius: 50%;
	background: transparent;
    border: 1px solid #fff;
}

#slide1:checked ~ .slides .slides__inner {
	-ms-transform: translateX(0);
	-webkit-transform: translateX(0);
	transform: translateX(0);
}

#slide1:checked ~ .slider__buttons .slider__button:nth-child(1) {
	background: #fff;
}

#slide2:checked ~ .slides .slides__inner {
	-ms-transform: translateX(-25%);
	-webkit-transform: translateX(-25%);
	transform: translateX(-25%);
}

#slide2:checked ~ .slider__buttons .slider__button:nth-child(2) {
	background: #fff;
}

#slide3:checked ~ .slides .slides__inner {
	-ms-transform: translateX(-50%);
	-webkit-transform: translateX(-50%);
	transform: translateX(-50%);
}

#slide3:checked ~ .slider__buttons .slider__button:nth-child(3) {
	background: #fff;
}

#slide4:checked ~ .slides .slides__inner {
	-ms-transform: translateX(-75%);
	-webkit-transform: translateX(-75%);
	transform: translateX(-75%);
}

#slide4:checked ~ .slider__buttons .slider__button:nth-child(4) {
	background: #fff;
}